# Author: Jan Vcelak <jvcelak@redhat.com>

require "bughunting/common/config"

class TaskConfig < BaseConfig
	def self.get_defaults
		{
			"name"				=> nil,
			"language"			=> nil,
			"max_score"			=> 1,
			"difficulty"		=> 0,
			"summary"			=> nil,
			"text"				=> nil,
			"hints"				=> [],
			"setup_commands"	=> [],
			"check_script"		=> "test.sh",
			"check_files"		=> [],
			"check_exit_status"	=> { },
		}.clone
	end
end
